<?php

/**
 * The ALB claim class.
 *
 * Used as a wrapper for safe and easy data access.
 */
class AlbAuthClaim implements AlbAuthClaimInterface {

  /**
   * The claim name.
   *
   * @var string
   */
  protected $name;

  /**
   * The claim value.
   *
   * @var string
   */
  protected $value;

  /**
   * Constructs a Claim object.
   *
   * @param string $name
   *   The claim name.
   * @param string $value
   *   The claim value.
   */
  public function __construct($name, $value) {
    $this->name = $name;
    $this->value = $value;
  }

  /**
   * Returns the claim name.
   *
   * @return string
   *   The claim name.
   */
  public function getName() {
    return $this->name;
  }

  /**
   * Returns the claim value.
   *
   * @return string
   *   The claim value.
   */
  public function getValue() {
    return $this->value;
  }

}
